Bug 486697 - package-cleanup --oldkernels can't handle kernel-PAE
package-cleanup --oldkernels can't handle kernel-PAE
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 496580
  Show dependency treegraph
 
Reported: 2009-02-21 02:36 EST by Jyrki Tikka
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 496580 (view as bug list)
Environment:
Last Closed: 2009-03-06 12:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jyrki Tikka 2009-02-21 02:36:34 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.6) Gecko/2009020410 Fedora/3.0.6-1.fc10 Firefox/3.0.6

package-cleanup --oldkernels gets confused when kernel-PAE is used instead of standard non-PAE kernel

Reproducible: Always

Steps to Reproduce:
1.package-cleanup --oldkernels

Actual Results:  
# rpm -qa|grep kernel|sort
kernel-firmware-2.6.27.15-170.2.24.fc10.noarch
kernel-headers-2.6.27.15-170.2.24.fc10.i386
kerneloops-0.12-1.fc10.i386
kernel-PAE-2.6.27.12-170.2.5.fc10.i686
kernel-PAE-2.6.27.15-170.2.24.fc10.i686
kernel-PAE-2.6.27.9-159.fc10.i686
kernel-PAE-devel-2.6.27.12-170.2.5.fc10.i686
kernel-PAE-devel-2.6.27.15-170.2.24.fc10.i686
kernel-PAE-devel-2.6.27.9-159.fc10.i686

# package-cleanup --oldkernels
Setting up yum
Loaded plugins: refresh-packagekit
Error all kernel rpms are set to be removed


Expected Results:  
Remove all but the latest two kernels

yum-utils-1.1.19-1.fc10.noarch

/usr/bin/package-cleanup seems to handle only kernel-* and kernel-devel-* packages, not kernel-PAE-* nor kernel-PAE-devel-*.

Note You need to log in before you can comment on or make changes to this bug.